Bug 1707960 (php-brumann-polyfill-unserialize) - Review Request: php-brumann-polyfill-unserialize - Backports unserialize options introduced in PHP 7.0
Summary: Review Request: php-brumann-polyfill-unserialize - Backports unserialize opti...
Keywords:
Status: CLOSED ERRATA
Alias: php-brumann-polyfill-unserialize
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-11830 CVE-2019-11831 1708652 1708653
TreeView+ depends on / blocked
 
Reported: 2019-05-08 19:12 UTC by Shawn Iwinski
Modified: 2020-06-07 21:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-27 00:54:28 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 2 Robert-André Mauchin 🐧 2019-06-05 20:17:58 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 7 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-brumann-polyfill-unserialize/review-
     php-brumann-polyfill-unserialize/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-brumann-polyfill-unserialize-1.0.3-1.fc31.noarch.rpm
          php-brumann-polyfill-unserialize-1.0.3-1.fc31.src.rpm
php-brumann-polyfill-unserialize.noarch: W: spelling-error Summary(en_US) Backports -> Back ports, Back-ports, Crackpots
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US Backports -> Back ports, Back-ports, Crackpots
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US https -> HTTP
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US symfony -> symphony
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US Unserialization -> Serialization, Materialization, Industrialization
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US instantiation -> instantiate, substantiation, installation
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US autoloading -> auto loading, auto-loading, toadding
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-brumann-polyfill-unserialize.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-brumann-polyfill-unserialize.src: W: spelling-error Summary(en_US) Backports -> Back ports, Back-ports, Crackpots
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US Backports -> Back ports, Back-ports, Crackpots
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US https -> HTTP
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US symfony -> symphony
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US Unserialization -> Serialization, Materialization, Industrialization
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US instantiation -> instantiate, substantiation, installation
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US autoloading -> auto loading, auto-loading, toadding
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US usr -> use, us, user
php-brumann-polyfill-unserialize.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 23 warnings.

Comment 4 Gwyn Ciesla 2019-06-10 20:35:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-brumann-polyfill-unserialize

Comment 5 Fedora Update System 2019-06-16 21:11:04 UTC
FEDORA-EPEL-2019-24edff97c6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-24edff97c6

Comment 6 Fedora Update System 2019-06-16 21:11:11 UTC
FEDORA-2019-af7bef7165 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-af7bef7165

Comment 7 Fedora Update System 2019-06-16 21:12:20 UTC
FEDORA-EPEL-2019-e514dd8ee0 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e514dd8ee0

Comment 8 Fedora Update System 2019-06-17 18:17:13 UTC
php-brumann-polyfill-unserialize-1.0.3-1.fc30, php-typo3-phar-stream-wrapper2-2.1.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a8121923d5

Comment 9 Fedora Update System 2019-06-17 18:32:27 UTC
php-brumann-polyfill-unserialize-1.0.3-1.el7, php-typo3-phar-stream-wrapper2-2.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-24edff97c6

Comment 10 Fedora Update System 2019-06-17 18:39:25 UTC
php-brumann-polyfill-unserialize-1.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e514dd8ee0

Comment 11 Fedora Update System 2019-06-17 20:11:57 UTC
php-brumann-polyfill-unserialize-1.0.3-1.fc29, php-typo3-phar-stream-wrapper2-2.1.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-af7bef7165

Comment 12 Fedora Update System 2019-06-27 00:54:28 UTC
php-brumann-polyfill-unserialize-1.0.3-1.fc30, php-typo3-phar-stream-wrapper2-2.1.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-06-28 05:20:40 UTC
php-brumann-polyfill-unserialize-1.0.3-1.fc29, php-typo3-phar-stream-wrapper2-2.1.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-07-03 00:43:19 UTC
php-brumann-polyfill-unserialize-1.0.3-1.el7, php-typo3-phar-stream-wrapper2-2.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-07-03 03:12:10 UTC
php-brumann-polyfill-unserialize-1.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.